package com.jwipc.order.logic;

import com.jwipc.order.dto.*;
import com.jwipc.order.model.query.PcnChangeApproveCondQuery;
import com.jwipc.order.model.query.PcnManagerQuery;
import com.jwipc.page.PageView;

import java.util.List;

/**
 * 功能描述:
 *
 * @Author: zx
 * @Date: 2024/3/19 0019 14:35
 */
public interface PcnManagerLogic {

    PcnChangeApplyListDTO selectPcnMangeById(String id);


    List<PcnChangeSubjectDTO> selectRecordByApplayId(String id);

    PageView queryPcnByPage(PcnManagerQuery pcnManagerQuery);

    void deleteRecord(String id);

    void saveFrom(PcnChangeApplyListDTO applyListDTO);

    List<PcnChangeMaterialDTO> queryMaterial(Long appListId);

    List<PcnChangeFileDTO> getFileList(Long appListId);

    List<PcnChangeSubjectDTO> getSubjectList(Long appListId);

    PcnChangeSubjectDTO getSubjectOne(Long appListId);

    void addAgreeRecord(PcnChangeApproveDTO approveDTO);

    PageView queryPcnApprovalPage(PcnChangeApproveCondQuery pcnManagerQuery);


    String getSupPgCode(String supplierCode);

    String getRecommander(Long supplierId);

}
